#ifndef FVM_UPDATE_H
#define FVM_UPDATE_H

#include <ct/string.h>

typedef struct {
    ct_string_t buf;
} fvm_update_t;

fvm_update_t *fvm_update_create(ct_string_t data);
fvm_update_t *fvm_update_merge(fvm_update_t *base, fvm_update_t *patch);
void fvm_update_destroy(fvm_update_t *update);

#endif
